Skip to content
Snippets Groups Projects
Verified Commit cf34082e authored by Jeremy Soller's avatar Jeremy Soller
Browse files

Open fd 3 that is a copy of stdout, redirect stdout to stderr, and then output...

Open fd 3 that is a copy of stdout, redirect stdout to stderr, and then output the log to stdout using fd 3
parent 57f1947b
No related branches found
No related tags found
No related merge requests found
......@@ -2,6 +2,8 @@
set -e
exec 3>&1 1>&2
export TARGET=x86_64-unknown-redox
xargo rustc --bin redoxerd --release --target "${TARGET}" -- -C linker="${TARGET}-gcc"
......@@ -177,17 +179,17 @@ echo
case "${status}" in
51)
echo "## redoxer (success) ##"
cat "build/${uuid}.log"
cat "build/${uuid}.log" >&3
exit 0
;;
53)
echo "## redoxer (failure) ##"
cat "build/${uuid}.log"
cat "build/${uuid}.log" >&3
exit 1
;;
*)
echo "## redoxer (failure, qemu exit code ${status}) ##"
cat "build/${uuid}.log"
cat "build/${uuid}.log" >&3
exit 2
;;
esac
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment